
Redmine - Feature #2065

Commit graph should merge homonyms

2008-10-22 09:01 - Thomas Lecavelier

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Jean-Baptiste Barth % Done: 80%

Category: SCM Estimated time: 1.00 hour

Target version:    

Resolution: Wont fix   

Description

When looking to "commits by authors" graph (Repository/Statistics), redmine don't merge bars with homonyms. In this redmine

instance you can see my name appears twice.

I suppose it's due to the facts I'm using a git repository with multiple account, where I haven't put the same email address.

IMHO, Redmine should merge bars with homonyms.

Related issues:

Related to Redmine - Defect #13487: Honor committer => user mapping in reposi... Closed

History

#1 - 2009-01-13 18:09 - Patrick Naubert

We have the same problem.  We are also using Git with multiple accounts.  Perhaps a regex search-and-replace capability at repo import/update

could be done ?

#2 - 2009-11-11 15:39 - Guillaume Ayoub

- File redmine-merge-homonyms.patch added

- % Done changed from 0 to 80

Here is a patch (for version 0.8.6) merging homonyms. I don’t know ruby very well and my syntax may be a little bit strange, but some ruby guru

should clean these few lines easily.

Works with git, not tested with other version control systems.

#3 - 2010-02-24 18:03 - Ammler _

I would like this feature quite much in too.

might it be possible to update to current heads of 0.9 and trunk?

#4 - 2010-02-25 13:46 - Guillaume Ayoub

- File redmine-merge-homonyms-39c9727.patch added

Here is the previous patch updated for revision 39c9727 of git. As I said, this code works here with git, but it should be cleaned and tested with other

version control systems.

#5 - 2010-06-30 08:44 - Ibrahim Awwal

Is there any chance of this being integrated into a release sometime? I will have to try applying your patch when I get a chance.

#6 - 2010-07-02 08:36 - Ibrahim Awwal

Ibrahim Awwal wrote:

Is there any chance of this being integrated into a release sometime? I will have to try applying your patch when I get a chance.

 Ah, it seems to work on 0.9.5. Great!

#7 - 2011-02-09 08:39 - Toshi MARUYAMA

- Category changed from UI to SCM
#8 - 2013-03-15 16:45 - Anonymous

This feature is implemented (as a side effect) by my patch #13487.

#9 - 2014-08-26 19:45 - Jean-Baptiste Barth

- Status changed from New to Closed

- Assignee set to Jean-Baptiste Barth

- Resolution set to Wont fix

Actually I don't think homonyms should be merged automatically. I know this answer comes very late in this issue, but let's imagine the following case

(which is a real case for me at work :/) :

first user commits with John <john.smith@foo.net>

second user commits with John <john.doe@foo.net>

It's pretty obvious those users are not the same person, they don't even share the same family name. But it will be very difficult to detect that. So now

that we have committers<->users mapping that can be defined per repository, I guess people could rely on that (or even script that!) to fit their needs.

I close this for now but please re-open it if you strongly disagree.

#10 - 2014-08-26 22:34 - txemi M

I would like not seeing this issue closed. I do not agree with the argument given above. I also think that there is no reliable way for redmine to guess

identity mapping but I also think that this should not be done automatically. The administrator who added repository to some project should manually

define the mapping.

Files

redmine-merge-homonyms.patch 1.7 KB 2009-11-11 Guillaume Ayoub

redmine-merge-homonyms-39c9727.patch 1.81 KB 2010-02-25 Guillaume Ayoub
